Tech

Apple Is Removing “Older, Outdated” Apps From App Store, Indie Developers Miffed- Technology News, Firstpost

Apple has decided to remove “older and outdated” apps from App Store. In an email titled ”App Improvement Notice”, which was delivered to iOS & macOS developers, Apple has stated that they will be removing apps that haven’t been updated by developers “in a significant amount of time.”

Apple Is Removing “Older, Outdated” Apps From AppStore, Leaving Developers Miffed

Ever since they received the email, developers have been taking to Twitter to call out Apple about this new policy, and why it can be harmful to small scale developers. The main reason why Apple wants developers to update their app, is so that they can port their apps to Apple’s latest APIs. Their reasoning is, that the newer versions of the apps based on the new APIs would improve the user experience on its newer devices.

Apple has been dealing with several allegations and cases of anti-competitive behaviour, with the most renowned of all of them being the Epic vs. Apple case. Several app developers have complained that although Apple has given some developers to port their apps to the new API,  certain app developers who have been vocal about their disdain of Apple’s policies have had their apps removed without any warning. 

One developer, Protopop Games, who has the username “protopop” on Twitter, has pointed out that between the various different platforms and different APIs, it becomes almost impossible for independent app developers to develop and maintain the app on so many different platforms.

He also pointed out that even a yearly update has the potential to disrupt and break an app so badly that it fails to run, which would basically mean users stop using the app for good.

Another user, “erasmolbj” has pointed out that some of Apple’s own apps haven’t been updated for years.

Independent app developers work on a tight budget and obviously, cannot upgrade their machines every year, when Apple announces a new MacBook Air or a MacBook Pro. One other devious thing that Apple has implemented here is the programme that developers need in order to port their older apps into the newer API, which can only run macOS 10.12.6, or newer. Any system that cannot be upgraded to this version of the OS, cannot be used.




Source link

Related Articles

Leave a Reply

Your email address will not be published.

Back to top button